# The Big Warehouse
A collection of resources for programmers

This repository is like a 'big warehouse', and it contains a number of different 'big boxes'. Each big box contains a (growing!) number of related resources. Pull requests are always welcome :) Resources which have an excessive number of dependencies will not be accepted (except under special circumstances).

## Warehouse Inventory
 - [Big Box of HTML](https://github.com/sbrl/thebigwarehouse/blob/master/BigBoxOfHTML.md)
 - [Big Box of CSS](https://github.com/sbrl/thebigwarehouse/blob/master/BigBoxOfCSS.md)
 - [Big Box of Javascript](https://github.com/sbrl/thebigwarehouse/blob/master/BigBoxOfJavascript.md)
 - [Big Box of Datasets](https://github.com/sbrl/thebigwarehouse/blob/master/BigBoxOfDatasets.md)

### Beta Boxes
These boxes aren't quite full enough to be put into the main warehouse inventory, but they still contain some interesting links.

 - [Big Box of Algorithms](https://github.com/sbrl/thebigwarehouse/blob/master/BigBoxOfAlgorithms.md)
 - [Big Box of PHP](https://github.com/sbrl/thebigwarehouse/blob/master/BigBoxOfPHP.md)
 - [Big Box of Python](https://github.com/sbrl/thebigwarehouse/blob/master/BigBoxOfPython.md)
 - [Big Box of VCS](https://github.com/sbrl/thebigwarehouse/blob/master/BigBoxOfVCS.md)

## Miscellanious Links
 - [Hackr.io](http://hackr.io/) - This one is too good not to add. A collection of links to computer science / programming tutorials on just about everything. You can even submit to this list too!
 - [codebeautify.org](http://codebeautify.org/) - A comprehensive set of tools to validate / view / format / minify / convert all sorts of web based languages.
 - [JumpChat](https://jumpch.at/) - A service that makes it super easy to start a video / audio call with a group of people
 - [libraries.io](https://libraries.io/) - A website that watches lots of package managers and acts as a search engine, allowing you to search them all for the library you need.
 - [TurboBytes Pulse](https://pulse.turbobytes.com/) - Do DNS lookups, traceroutes, and HTTP HEAD requests from many locations around the globe.
 - [Up1](https://github.com/Upload/Up1) - A client-side-encrypted image / text / file host that encrypts files on the client, so the server doesn't know anything about the files it is hosting.
 - [ImDisk Toolkit](http://reboot.pro/files/file/284-imdisk-toolkit/) - A fantasic toolkit for mounting all sorts image files. Uses and extends [Imdisk](http://www.ltr-data.se/opencode.html/#ImDisk) as a backend. Allows creation of ramdisks that are dynamically allocated, and the mounting of many different virtual hard disk files too.
 - [ttystudio](https://github.com/chjj/ttystudio) - An easy to use terminal recorder. Uses Node.js. Run `npm install ttystudio`.
